Bug 719101 - "network" init script falsely reports failure
Summary: "network" init script falsely reports failure
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-05 19:03 UTC by Philip Prindeville
Modified: 2014-03-17 03:28 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 17:29:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 719100 None None None Never

Internal Links: 719100

Description Philip Prindeville 2011-07-05 19:03:03 UTC
Description of problem:

The "network" service always reports failure, even when it succeeds

Version-Release number of selected component (if applicable):

9.30-2

How reproducible:

Disable NetworkManager. Enable network service. Reboot.

# systemctl status network.service
network.service - LSB: Bring up/down networking
	  Loaded: loaded (/etc/rc.d/init.d/network)
	  Active: failed since Tue, 05 Jul 2011 12:45:41 -0600; 1min 46s ago
	 Process: 1823 ExecStart=/etc/rc.d/init.d/network start (code=exited, status=1/FAILURE)
	  CGroup: name=systemd:/system/network.service
		  └ 1167 /sbin/dhclient -1 -q -cf /etc/dhcp/dhclient-p6p1.c...
#
# ps -ef | grep dhclient
root      1167     1  0 12:43 ?        00:00:00 /sbin/dhclient -1 -q -cf /etc/dhcp/dhclient-p6p1.conf -lf /var/lib/dhclient/dhclient-p6p1.leases -pf /var/run/dhclient-p6p1.pid p6p1
# 

Steps to Reproduce:
1.
2.
3.
  
Actual results:

Reports failure (even though successful).

Expected results:

Reports success.

Additional info:

hostname returns the value in DNS, but this isn't the case for NetworkManager

Comment 1 Fedora End Of Life 2012-08-07 17:29:47 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.